Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package backend
  Definition Classes
    nsc
-  package jvm
  Definition Classes
    backend
-  object BackendReporting

  Utilities for error reporting.

  Utilities for error reporting.

  Defines some utility methods to make error reporting with Either easier.

  Definition Classes
    jvm
- CalleeInfoWarning
- CalleeNotFinal
- CannotInlineWarning
- ClassInlineInfoWarning
- ClassNotFound
- ClassNotFoundWhenBuildingInlineInfoFromSymbol
- ClassSymbolInfoFailureSI9111
- FieldNotFound
- IllegalAccessCheckFailed
- IllegalAccessInstructions
- Invalid
- MethodInlineInfoError
- MethodInlineInfoIncomplete
- MethodInlineInfoMissing
- MethodNotFound
- MethodWithHandlerCalledOnNonEmptyStack
- MissingBytecodeWarning
- NoClassBTypeInfo
- NoClassBTypeInfoClassSymbolInfoFailedSI9111
- NoClassBTypeInfoMissingBytecode
- NoInlineInfoAttribute
- OptimizerWarning
- ResultingMethodTooLarge
- RewriteClosureAccessCheckFailed
- RewriteClosureApplyToClosureBodyFailed
- RewriteClosureIllegalAccess
- RightBiasedEither
- StrictfpMismatch
- SynchronizedMethod
- UnknownInvokeDynamicInstruction
- UnknownScalaInlineInfoVersion

o

scala.tools.nsc.backend.jvm.BackendReporting

# OptimizerWarning

###
Companion trait OptimizerWarning

#### object OptimizerWarning

Source
  BackendReporting.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. OptimizerWarning
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  implicit val emptyOptimizerWarning: OptimizerWarning
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped